RandomTypeUtil (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hadoop.hive.common.type

## Class RandomTypeUtil

- java.lang.Object
- - org.apache.hadoop.hive.common.type.RandomTypeUtil

-     public class RandomTypeUtil
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RandomTypeUtil.HiveDecimalAndPrecisionScale`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_YEAR`
    `static long` | `MILLISECONDS_PER_SECOND`
    `static int` | `MIN_YEAR`
    `static long` | `NANOSECONDS_PER_MILLISSECOND`
    `static long` | `NANOSECONDS_PER_SECOND` TIMESTAMP.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomTypeUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `getRandBinary(Random r, int len)`
    `static Date` | `getRandDate(Random r)`
    `static RandomTypeUtil.HiveDecimalAndPrecisionScale` | `getRandHiveDecimal(Random r)`
    `static String` | `getRandString(Random r)`
    `static String` | `getRandString(Random r, String characters, int length)`
    `static Timestamp` | `getRandTimestamp(Random r)`
    `static Timestamp` | `getRandTimestamp(Random r, int minYear, int maxYear)`
    `static long` | `randomMillis(long minMillis, long maxMillis, Random rand)`
    `static long` | `randomMillis(Random rand)`
    `static int` | `randomNanos(Random rand)`
    `static int` | `randomNanos(Random rand, int decimalDigits)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NANOSECONDS_PER_SECOND

          public static final long NANOSECONDS_PER_SECOND

      TIMESTAMP.

    - #### MILLISECONDS_PER_SECOND

          public static final long MILLISECONDS_PER_SECOND

    - #### NANOSECONDS_PER_MILLISSECOND

          public static final long NANOSECONDS_PER_MILLISSECOND

    - #### MIN_YEAR

          public static int MIN_YEAR

    - #### MAX_YEAR

          public static int MAX_YEAR

  - ### Constructor Detail

    - #### RandomTypeUtil

          public RandomTypeUtil()

  - ### Method Detail

    - #### getRandString

          public static String getRandString(Random r)

    - #### getRandString

          public static String getRandString(Random r,
                                             String characters,
                                             int length)

    - #### getRandBinary

          public static byte[] getRandBinary(Random r,
                                             int len)

    - #### getRandHiveDecimal

          public static RandomTypeUtil.HiveDecimalAndPrecisionScale getRandHiveDecimal(Random r)

    - #### getRandDate

          public static Date getRandDate(Random r)

    - #### getRandTimestamp

          public static Timestamp getRandTimestamp(Random r)

    - #### getRandTimestamp

          public static Timestamp getRandTimestamp(Random r,
                                                   int minYear,
                                                   int maxYear)

    - #### randomMillis

          public static long randomMillis(long minMillis,
                                          long maxMillis,
                                          Random rand)

    - #### randomMillis

          public static long randomMillis(Random rand)

    - #### randomNanos

          public static int randomNanos(Random rand,
                                        int decimalDigits)

    - #### randomNanos

          public static int randomNanos(Random rand)

Copyright © 2016 The Apache Software Foundation. All rights reserved.